EAN8

EAN-8はEANおよびUPCバーコードの一種であり、よりサイズの大きなEAN-13の派生バーコードです(「EAN:欧州統一商品番号」は「IAN:国際統一商品番号」の別称)。EAN-8は世界中で広く認識されているバーコードです。ただし、桁数が少ないため、自店舗のみで販売される独自ブランド製品の識別などに使用される場合があります。

説明
app.js
index.html
styles.css

EAN-8バーコードを作成するには、数式内でBC_EAN8関数を使用します。

=BC_EAN8(value, color, backgroudColor, showLabel, labelPosition, fontFamily, fontStyle, fontWeight, fontTextDecoration, fontTextAlign, fontSize, quietZonLeft, quietZoneRight, quietZoneTop, quietZoneBottom).

この関数には、以下のパラメータを指定できます。

value: 数字のみを指定可能な文字列。有効な長さは7桁または8桁です。

showLabel: バーコードにラベルを表示する場合、ラベルテキストを表示するかどうかを指定する値

labelPosition: ラベルを表示する場合の、ラベルの位置を表す値

EAN-8バーコードを作成するには、数式内でBC_EAN8関数を使用します。 =BC_EAN8(value, color, backgroudColor, showLabel, labelPosition, fontFamily, fontStyle, fontWeight, fontTextDecoration, fontTextAlign, fontSize, quietZonLeft, quietZoneRight, quietZoneTop, quietZoneBottom). この関数には、以下のパラメータを指定できます。 value: 数字のみを指定可能な文字列。有効な長さは7桁または8桁です。 showLabel: バーコードにラベルを表示する場合、ラベルテキストを表示するかどうかを指定する値 labelPosition: ラベルを表示する場合の、ラベルの位置を表す値
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById('ss'), {sheetCount: 1}); initSpread(spread); }; function initSpread(spread) { var sheet = spread.getSheet(0); spread.suspendPaint(); _initBasicSheet(sheet); spread.resumePaint(); } function _initBasicSheet(sheet) { sheet.name('customSheet'); _setData(sheet); _setStyle(sheet); for (var row = 3; row < 6; row++) { sheet.setFormula(row, 3, '=BC_EAN8(C' + (row + 1) + ')'); sheet.setFormula(row, 4, '=BC_EAN8(C' + (row + 1) + ',,,0)'); sheet.setFormula(row, 5, '=BC_EAN8(C' + (row + 1) + ',,,,"top")'); } sheet.setValue(5, 6, 'No EAN-8 generated, because the last digit is check-sum digit and it is invalid'); } function _setData(sheet) { var pos = [1, 2, 6]; var dataArray = [ ['Value length is 7', 4137962], ['Value length is 8', 81424863], ['Value length is 8', 81424865] ]; sheet.setArray(1, 1, dataArray); sheet.setArray(3, 1, dataArray); for (var i = 0; i < pos.length; i++) { sheet.addSpan(1, pos[i], 2, 1); } sheet.addSpan(1, 3, 1, 3); sheet.setValue(1, 1, 'Name'); sheet.setValue(1, 2, 'Number'); sheet.setValue(1, 3, 'EAN-8'); sheet.setValue(1, 6, 'Explain'); sheet.setValue(2, 3, 'Default'); sheet.setValue(2, 4, 'Change showLabel'); sheet.setValue(2, 5, 'Change labelPosition'); } function _setStyle(sheet) { sheet.setColumnWidth(0, 20); for (var row = 3; row < 6; row++) { sheet.setRowHeight(row, 100); } for (var col = 1; col < 7; col++) { sheet.setColumnWidth(col, 200); } sheet .getRange(1, 1, 2, 6) .foreColor('#000') .backColor('#FFF3CE') .setBorder(new GC.Spread.Sheets.LineBorder('orange', GC.Spread.Sheets.LineStyle.thin), {all: true}); sheet .getRange(1, 1, 5, 6) .vAlign(GC.Spread.Sheets.VerticalAlign.center) .hAlign(GC.Spread.Sheets.HorizontalAlign.center) .setBorder(new GC.Spread.Sheets.LineBorder('orange', GC.Spread.Sheets.LineStyle.medium), {outline: true}); sheet.getCell(5, 6).foreColor('red').wordWrap(true); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta name="spreadjs culture" content="ja-jp" /> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets-barcode/dist/gc.spread.sheets.barcode.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets-resources-ja/dist/gc.spread.sheets.resources.ja.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-tutorial"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

EAN-8バーコードを作成するには、数式内でBC_EAN8関数を使用します。
=BC_EAN8(value, color, backgroudColor, showLabel, labelPosition, fontFamily, fontStyle, fontWeight, fontTextDecoration, fontTextAlign, fontSize, quietZonLeft, quietZoneRight, quietZoneTop, quietZoneBottom).
この関数には、以下のパラメータを指定できます。
value: 数字のみを指定可能な文字列。有効な長さは7桁または8桁です。
showLabel: バーコードにラベルを表示する場合、ラベルテキストを表示するかどうかを指定する値
labelPosition: ラベルを表示する場合の、ラベルの位置を表す値
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbook-initialized="initSpread">
<gc-worksheet :auto-generate-columns="autoGenerateColumns" />
</gc-spread-sheets>
</div>
</template>
<script setup>
import { ref } from 'vue';
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-barcode';
import '@mescius/spread-sheets-resources-ja';
GC.Spread.Common.CultureManager.culture("ja-jp");
const autoGenerateColumns = ref(true);
const spread = ref(null);
const initSpread = (spreadInstance) => {
spread.value = spreadInstance;
spreadInstance.suspendPaint();
const sheet = spreadInstance.getSheet(0);
sheet.name("customSheet");
let pos = [1, 2, 6];
let dataArray = [
["Value length is 7", 4137962],
["Value length is 8", 81424863],
["Value length is 8", 81424865]
];
sheet.setArray(1, 1, dataArray);
sheet.setArray(3, 1, dataArray);
for (let i = 0; i < pos.length; i++) {
sheet.addSpan(1, pos[i], 2, 1);
}
sheet.addSpan(1, 3, 1, 3);
sheet.setValue(1, 1, "Name");
sheet.setValue(1, 2, "Number");
sheet.setValue(1, 3, "EAN-8");
sheet.setValue(1, 6, "Explain");
sheet.setValue(2, 3, "Default");
sheet.setValue(2, 4, "Change showLabel");
sheet.setValue(2, 5, "Change labelPosition");
sheet.setColumnWidth(0, 20);
for (let row = 3; row < 6; row++) {
sheet.setRowHeight(row, 100);
}
for (let col = 1; col < 7; col++) {
sheet.setColumnWidth(col, 200);
}
sheet
.getRange(1, 1, 2, 6)
.foreColor("#000")
.backColor("#FFF3CE")
.setBorder(
new GC.Spread.Sheets.LineBorder(
"orange",
GC.Spread.Sheets.LineStyle.thin
),
{ all: true }
);
sheet
.getRange(1, 1, 5, 6)
.vAlign(GC.Spread.Sheets.VerticalAlign.center)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(
new GC.Spread.Sheets.LineBorder(
"orange",
GC.Spread.Sheets.LineStyle.medium
),
{ outline: true }
);
sheet
.getCell(5, 6)
.foreColor("red")
.wordWrap(true);
for (let row = 3; row < 6; row++) {
sheet.setFormula(row, 3, "=BC_EAN8(C" + (row + 1) + ")");
sheet.setFormula(row, 4, "=BC_EAN8(C" + (row + 1) + ",,,0)");
sheet.setFormula(row, 5, "=BC_EAN8(C" + (row + 1) + ',,,,"top")');
}
sheet.setValue(
5,
6,
"No EAN-8 generated, because the last digit is check-sum digit and it is invalid"
);
spreadInstance.resumePaint();
};
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container legend {
text-align: center;
}
.option-row {
font-size: 14px;
padding: 5px;
}
input {
display: block;
width: 100%;
margin: 8px 0;
box-sizing: border-box;
}
label,
input {
padding: 4px 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
#drawUnderline {
display: inline-block;
width: 30px;
}
#drawUnderlineLabel {
display: inline-block;
}
#allowAutoCreateHyperlink {
display: inline-block;
width: 30px;
}
#setHyperlinkButton {
font-weight: bold;
background-color: #ecf3ff;
width: 200px;
height: 35px;
border-radius: 4px;
border-color: #0b93d5;
border-width: thin;
}
#settingsDiv {
margin-top: "10px"
}
#settingString {
padding: "2px 10px
}
#allowAutoCreateHyperlinkDiv {
margin-top: "10px"
}
</style>
<!DOCTYPE html>
<html lang="en" style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ja/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ja/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/ja/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-barcode': 'npm:@mescius/spread-sheets-barcode/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);